> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stickyqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rewards

> Returns a list of all rewards



## OpenAPI

````yaml GET /rewards
openapi: 3.0.1
info:
  title: StickyQR Public API
  description: StickyQR Public API
  license:
    name: MIT
  version: 1.0.1
servers:
  - url: https://app.stickyqr.com/api
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Customers
  - name: Rewards
  - name: QR
paths:
  /rewards:
    get:
      tags:
        - Rewards
      summary: List Rewards
      description: Returns a list of all rewards
      operationId: listRewards
      parameters:
        - name: x-lang
          in: header
          schema:
            type: string
            example: en
            default: en
          description: Language support
        - name: pageNumber
          in: query
          schema:
            type: string
            example: '1'
          description: The page number to retrieve.
        - name: pageSize
          in: query
          schema:
            type: string
            example: '20'
          description: The number of items per page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasMore:
                    type: boolean
                    description: Indicates whether more data pages are available
                  currentPage:
                    type: number
                    description: The current page number
                  pageSize:
                    type: number
                    description: The number of items returned per page
                  noRewards:
                    type: number
                    description: The number of rewards returned in the current page
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Reward's id
                        name:
                          type: string
                          description: Reward's name
                        cost:
                          type: number
                          description: Cost of the reward
                        index:
                          type: number
                          description: Index or position of the reward in the list
              examples:
                Successful Response:
                  value:
                    hasMore: true
                    currentPage: 1
                    pageSize: 20
                    noRewards: 123
                    data:
                      - id: <string>
                        name: <string>
                        cost: 123
                        index: 123
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````